{ pkgs, ... }@all: with all;
{
  services.greetd = {
    enable = true;
    settings = rec {
      hyprland = {
        command = "${pkgs.greetd.tuigreet}/bin/tuigreet --time --remember --cmd Hyprland --remember-user-session --window-padding 5";
        user = hyper.user;
      };
      default_session = hyprland;
      vt = 2;
    };  
  };
  systemd.services.greetd.serviceConfig = {
    Type = "idle";
    StandardInput = "tty";
    StandardOutput = "tty";
    Standarderror = "journal"; # Without this errors will spam on screen
    # Without these bootlogs will spam on screen
    TTYReset = true;
    TTYVHangup = true;
    TTYVTDisallocate = true;
  };
}
